Performing a query

Function

si_Collection*si_Query (si_QType, si_Scope s, si_Item* i)
Description
performs query
Return Value

pointer to si_Collection | :returned by query operation contains all of the si_Item's

Parameter

si_QType | :type of query
si_Scope | :scope to which the query is expanded
si_Item | :item that the query is based on

| Note
| When si_QType is eQFindSym , you must set the second parameter ( si_Scope ) to the type ( si_Type ) that you want the Symbol Table to return. Also, depending on your compiler, you may have to convert si_Type into si_Scope (by means of an explicit cast). The following is an example of such an explicit cast: (si_Scope) eTFile